# I expected that a Requires with a disttag cannot be satisfied
# by a Provides without a disttag (only with a version-release).
# The last test here proves that this is not so.

reqVRD_preamble_etc := Requires: virt = 1-alt1:zz+77.66
$(eval $(call mk_bin_rpm,reqVRD))

conflVRD_preamble_etc := Conflicts: virt = 1-alt1:zz+77.66
$(eval $(call mk_bin_rpm,conflVRD))

provVRD2_preamble_etc := Provides: virt = 1-alt1:yy+77.66
$(eval $(call mk_bin_rpm,provVRD2))

noninstallable_provVRD2_with_reqVRD: $(provVRD2) $(reqVRD)
	! $(RPM) -i $(provVRD2) $(reqVRD)

noninstallable_provVRD2_before_reqVRD: $(provVRD2) $(reqVRD)
	$(RPM) -i $(provVRD2)
	! $(RPM) -i $(reqVRD)

all_tests += noninstallable_provVRD2_with_reqVRD noninstallable_provVRD2_before_reqVRD

installable_provVRD2_with_conflVRD: $(provVRD2) $(conflVRD)
	$(RPM) -i $(provVRD2) $(conflVRD)

installable_provVRD2_before_conflVRD: $(provVRD2) $(conflVRD)
	$(RPM) -i $(provVRD2)
	$(RPM) -i $(conflVRD)

all_tests += installable_provVRD2_with_conflVRD installable_provVRD2_before_conflVRD


provOnlyVR_preamble_etc := Provides: virt = 1-alt1

$(eval $(call mk_bin_rpm,provOnlyVR))

noninstallable_provOnlyVR_with_reqVRD: $(provOnlyVR) $(reqVRD)
	! $(RPM) -i $(provOnlyVR) $(reqVRD)

noninstallable_provOnlyVR_before_reqVRD: $(provOnlyVR) $(reqVRD)
	$(RPM) -i $(provOnlyVR)
	! $(RPM) -i $(reqVRD)

all_tests += noninstallable_provOnlyVR_with_reqVRD noninstallable_provOnlyVR_before_reqVRD

installable_provOnlyVR_with_conflVRD: $(provOnlyVR) $(conflVRD)
	$(RPM) -i $(provOnlyVR) $(conflVRD)

installable_provOnlyVR_before_conflVRD: $(provOnlyVR) $(conflVRD)
	$(RPM) -i $(provOnlyVR)
	$(RPM) -i $(conflVRD)

all_tests += installable_provOnlyVR_with_conflVRD installable_provOnlyVR_before_conflVRD
