# I expected that a Requires with a release cannot be satisfied
# by a Provides without a release (only with a version).
# The last test here proves that this is not so.
# (See the code in rpmds.c from rpm-rpm-4.13.0.1-alt5 with
# /* always matches if the side with no release has SENSE_EQUAL */.)

reqVR_preamble_etc := Requires: virt = 1-alt1
$(eval $(call mk_bin_rpm,reqVR))

conflVR_preamble_etc := Conflicts: virt = 1-alt1
$(eval $(call mk_bin_rpm,conflVR))

provVR2_preamble_etc := Provides: virt = 1-alt2
$(eval $(call mk_bin_rpm,provVR2))

noninstallable_provVR2_with_reqVR: $(provVR2) $(reqVR)
	! $(RPM) -i $(provVR2) $(reqVR)

noninstallable_provVR2_before_reqVR: $(provVR2) $(reqVR)
	$(RPM) -i $(provVR2)
	! $(RPM) -i $(reqVR)

all_tests += noninstallable_provVR2_with_reqVR noninstallable_provVR2_before_reqVR

installable_provVR2_with_conflVR: $(provVR2) $(conflVR)
	$(RPM) -i $(provVR2) $(conflVR)

installable_provVR2_before_conflVR: $(provVR2) $(conflVR)
	$(RPM) -i $(provVR2)
	$(RPM) -i $(conflVR)

all_tests += installable_provVR2_with_conflVR installable_provVR2_before_conflVR


provOnlyV_preamble_etc := Provides: virt = 1

$(eval $(call mk_bin_rpm,provOnlyV))

noninstallable_provOnlyV_with_reqVR: $(provOnlyV) $(reqVR)
	! $(RPM) -i $(provOnlyV) $(reqVR)

noninstallable_provOnlyV_before_reqVR: $(provOnlyV) $(reqVR)
	$(RPM) -i $(provOnlyV)
	! $(RPM) -i $(reqVR)

all_tests += noninstallable_provOnlyV_with_reqVR noninstallable_provOnlyV_before_reqVR

installable_provOnlyV_with_conflVR: $(provOnlyV) $(conflVR)
	$(RPM) -i $(provOnlyV) $(conflVR)

installable_provOnlyV_before_conflVR: $(provOnlyV) $(conflVR)
	$(RPM) -i $(provOnlyV)
	$(RPM) -i $(conflVR)

all_tests += installable_provOnlyV_with_conflVR installable_provOnlyV_before_conflVR
