# To test the same things as are tested with dummy.mk,
# but provided as virtual Provides (dummy = ...).
#
# The name of the package is made different (virtDummy).
#
# This is particularly useful for systems where rpmbuild doesn't
# yet generate Provides with disttag (old branches).
# There, it's reasonable to set SKIP_RPMBUILD_DISTTAG.
# But we can still test how rpm compares disttags when installing packages
# thanks to this file.
#
# We'll use the same $(dummyDisttag_disttag) here as in dummy.mk (to make
# the tests with our packages here mostly identical to those authentic ones).
# $(dummyDisttag_disttag) must be defined (in dummy.mk)!

define virtDummy_preamble_etc
Provides: $(dummy_name) = $(dummy_EVR)
endef
$(eval $(call mk_bin_rpm,virtDummy))

virtDummy_installable: $(virtDummy)
	$(RPM) -i $<

virtDummy_noninstallable: $(virtDummy)
	$(RPM) -i $<
	! $(RPM) -i $< --test


all_tests += virtDummy_installable virtDummy_noninstallable


define virtDummyDisttag_preamble_etc
Provides: $(dummy_name) = $(dummy_EVR):$(dummyDisttag_disttag)
endef
$(eval $(call mk_bin_rpm,virtDummyDisttag))

virtDummyDisttag_installable: $(virtDummyDisttag)
	$(RPM) -i $<

virtDummyDisttag_noninstallable: $(virtDummyDisttag)
	$(RPM) -i $<
	! $(RPM) -i $< --test


all_tests += virtDummyDisttag_installable virtDummyDisttag_noninstallable
